%Funkce vykreslí druhý graf Křivky tání. Pokud se druhý graf překresluje po
%změně editu stupně aproximace polynomu (if redraw == 1), vykreslí se do
%grafu kromě křivky tání i polynom.

function [polynom,leg] = KrivkaTani(master_str, val,redraw, handles)   

    if ~isempty(get(handles.Approx2E, 'String')) && ~isnan(str2double(get(handles.Approx2E, 'String')))
        pol2 = get(handles.Approx2E, 'String');
    else
         warndlg('Chyba - patně zvolený stupeň polynomu.', 'Chyba');
    end
    pol22 = str2double(pol2);
    p = polyfit(master_str{val}.teplota,master_str{val}.zarovnana_mat_y,pol22);        
    polynom = polyval(p,master_str{val}.teplota);                  
    ColorSet = varycolor(val);
    plot(master_str{val}.teplota,master_str{val}.zarovnana_mat_y,'Color',ColorSet(val,:),'LineWidth',1);
    n = get(handles.FileListbox, 'Value');
    nn = get(handles.FileListbox, 'String');
    [l ll] = size(n);
    disp(ll);
        for i = 1:ll
            legenda= regexp(nn(n(i)),'\\', 'split');
            leg{i} = legenda{1}{end};
            %oetření znaku '_', který dělá u string dolní index
             if findstr(leg{i}, '_')
                pcar = regexp(leg{i},'\_', 'split');
                leg{i} = [pcar{1} '\_' pcar{2}];
            end
        end
    if redraw == 1
       hold on
       plot(master_str{val}.teplota, polynom);
    else
        legend(leg);
    end  
    hold on
    grid on
    title('Křivka tání','FontSize',11,'FontWeight','bold')
    xlabel('Teplota[°C]');
    ylabel('Absorbance');
    axis tight
    hold on